Переполнение буфера в службе IMAP в MailEnable

Дата публикации:
06.03.2007
Дата изменения:
27.01.2008
Всего просмотров:
1384
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MailEnable Professional 1.x
MailEnable Enterprise Edition 1.x
MailEnable Enterprise Edition 2.x
MailEnable Professional 2.x
Уязвимые версии: MailEnable Professional 2.37, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в службе IMAP при обработке аргументов, передаваемых команде "APPEND". Удаленный пользователь может с помощью специально сформированной команды (длиной более 128 байт) вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.mailenable.com

Решение: Установите исправление с сайта производителя.
http://www.mailenable.com/hotfix/ME-10029.EXE

Журнал изменений:

25.01.2008
Изменена секция «Решение».
Добавлен PoC код.

Ссылки: MailEnable Pro/Ent <= 2.37 (APPEND) Remote Buffer Overflow Exploit

или введите имя

CAPTCHA